BizKitHub
DocsAPI ReferenceCalendar Event/bff/calendar/event-find-conflict
postCalendar EventAdmin BFF

/bff/calendar/event-find-conflict

Checks whether proposed events conflict with existing events on the given calendar. Returns a list of conflicting time slots.

Calendar EventpostBffCalendarEvent-find-conflict

Parameters

JSON body

Request body

application/json
calendarIdstringRequired

External calendar code.

eventListobject[]Required

List of proposed events to check for conflicts.

Each array item:
startTimestringRequired

Proposed start time (ISO 8601).

endTimestringRequired

Proposed end time (ISO 8601).

isAllDaybooleanOptional

Whether the event spans the entire day.

isBlockingbooleanOptional

Whether the event blocks the calendar slot.

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/calendar/event-find-conflict

post
curl -X POST "https://api.bizkithub.com/bff/calendar/event-find-conflict" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "calendarId": "example_calendarId",
  "eventList": [
    {
      "startTime": "example_startTime",
      "endTime": "example_endTime",
      "isAllDay": false,
      "isBlocking": false
    }
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key